cancel
Showing results for 
Search instead for 
Did you mean: 

After upgrading magento 1.9.2.1 to 1.9.3.7 this error appears

SOLVED

After upgrading magento 1.9.2.1 to 1.9.3.7 this error appears

 

Hi.

 

After upgrading magento from version 1.9.2.1 to version 1.9.3.7, we see this error in the frontend and the backend:

Fatal error: Class 'Mage_Adminhtml_Helper_Help_Mapping' not found in app/code/core/Mage/Adminhtml/Helper/Data.php on line 34

 

There was another error, but we solve then editing the file app/Mage.php to this:

Lines 808 to 814

$file = empty($file) ? 'system.log' : $file;

// Validate file extension before save. Allowed file extensions: log, txt, html, csv
// if (!self::helper('log')->isLogFileExtensionValid($file)) {
// return;
// }

 

If we change the definition of the helper from this:

         class Mage_Adminhtml_Helper_Data extends Mage_Adminhtml_Helper_Help_Mapping

to this:

         class Mage_Adminhtml_Helper_Data extends Mage_Core_Helper_Abstract

 

Now the frontend works but the backend failed in load after login, only load the header and the menu and show this:

 

Spectacle.F28380.png

Anyone have the same isuue?

 

Thanks for the help.

 

 

 

 

7 REPLIES

Re: After upgrading magento 1.9.2.1 to 1.9.3.7 this error appears

Does this file exist in your installation after upgrade? https://github.com/OpenMage/magento-mirror/blob/magento-1.9/app/code/core/Mage/Adminhtml/Helper/Help... It could be that there are some missing files. 

 

 

 

 

----
If you've found one of my answers useful, please give "Kudos" or "Accept as Solution" as appropriate. Thanks!

Re: After upgrading magento 1.9.2.1 to 1.9.3.7 this error appears

Hi, Tom.

 

Thanks for the answer. The file exists in the folder app/code/core/Mage/Adminhtml/Helper/Help/.

 

We donwload the version 1.9.3.7, and copy the content of the folders to our magento 1.9.2.1.

 

The permission are right, and if we change the class declaration of the file app/code/core/Mage/Adminhtml/Helper/Data.php,

 

from this: 

class Mage_Adminhtml_Helper_Data extends Mage_Adminhtml_Helper_Help_Mapping

to this:

class Mage_Adminhtml_Helper_Data extends Mage_Core_Helper_Abstract

 

The frontend loads correctly but only the menu and the header loads in the backend.

 

Thanks.

Re: After upgrading magento 1.9.2.1 to 1.9.3.7 this error appears

You shouldn't have to update the class that it extends from. Doing so could create a whole other set of problems. I would focus on why the file/class cannot be found rather than trying to change the php file. 

 

You don't have compilation enabled do you? i.e. there shouldn't be anything in includes/src/ and includes/config.php should show it as disabled. 

 

When core Magento classes cannot be found it's a caching, compilation, or file permission/ownership issue. 

----
If you've found one of my answers useful, please give "Kudos" or "Accept as Solution" as appropriate. Thanks!

Re: After upgrading magento 1.9.2.1 to 1.9.3.7 this error appears

Hi, Tom.

 

Finally we install a new Magento 1.9.3.7 and import all the customizations, now we dont have the problem with the helper, the page loads correctly in front and backend. But now we have another problem, the problem is when you click add to cart button un product page appears the message "Unable to add to cart". We try to add via form and via url and the error is the same the products dont add to the cart.

 

Thanks for the answers.

 

Spectacle.E10430.png

 

Re: After upgrading magento 1.9.2.1 to 1.9.3.7 this error appears

Hi.

 

We are revising the method to add to cart, and was override by a custom module, this module use Ajax to add to cart, and when we seek the response of the ajax call to add to cart, the error was:

 

{status: "ERROR", message: "Unsupported data type N"}

 

Thanks.

 

 

Re: After upgrading magento 1.9.2.1 to 1.9.3.7 this error appears

Seems like other people have had this issue and it relates to a patch. See:

 

https://magento.stackexchange.com/questions/203968/unsupported-data-type-n-after-patching-supee-1041...

 

and

 

https://magento.stackexchange.com/questions/203567/security-patch-supee-10415-possible-issues/203795...

----
If you've found one of my answers useful, please give "Kudos" or "Accept as Solution" as appropriate. Thanks!

Re: After upgrading magento 1.9.2.1 to 1.9.3.7 this error appears

Hi. Tom.

 

Finnaly we find the problem. The problem was with the files in the patch 8788_v2, we install magento via composer and in the changing of the folders from old magento to new something was wrong and this files doesnt change.

 

The solution was editing, "lib/Unserialize/Reader/ArrValue.php" adding new type in the switch case and in the "lib/Unserialize/Parser.php" adding this line:  "const TYPE_NULL = 'N';".

The other thig was to seek if in the directory "lib/Unserialize/Reader" the file Null.php

 

Thanks a lot.